package com.mortals.xhx.module.record.model;

import java.util.List;
import com.mortals.xhx.module.record.model.PrintWaitQueueEntity;
/**
* 证照打印记录查询对象
*
* @author zxfei
* @date 2022-11-04
*/
public class PrintWaitQueueQuery extends PrintWaitQueueEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 证照档案ID */
    private Long recordIdStart;

    /** 结束 证照档案ID */
    private Long recordIdEnd;

    /** 增加 证照档案ID */
    private Long recordIdIncrement;

    /** 证照档案ID列表 */
    private List <Long> recordIdList;

    /** 开始 申请ID */
    private Long applyIdStart;

    /** 结束 申请ID */
    private Long applyIdEnd;

    /** 增加 申请ID */
    private Long applyIdIncrement;

    /** 申请ID列表 */
    private List <Long> applyIdList;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** 证照目录编号 */
    private List<String> catalogCodeList;

    /** 目录名称 */
    private List<String> catalogNameList;

    /** 证照名称 */
    private List<String> certificateNameList;

    /** 证照编号 */
    private List<String> certificateCodeList;

    /** 企业名称 */
    private List<String> enterpriseNameList;

    /** 持有者姓名 */
    private List<String> holderNameList;

    /** 持有者证件号码 */
    private List<String> holderIDCardNoList;

    /** 取件人姓名 */
    private List<String> pickerNameList;

    /** 取件人证件号码 */
    private List<String> pickerIDCardNoList;

    /** 证件预览地址 */
    private List<String> previewUrlList;

    /** 证件附件地址 */
    private List<String> certificateUrlList;

    /** 开始 是否完成打印0否1是 */
    private Integer printStatusStart;

    /** 结束 是否完成打印0否1是 */
    private Integer printStatusEnd;

    /** 增加 是否完成打印0否1是 */
    private Integer printStatusIncrement;

    /** 是否完成打印0否1是列表 */
    private List <Integer> printStatusList;

    /** 开始 允许打印次数 */
    private Integer totalStart;

    /** 结束 允许打印次数 */
    private Integer totalEnd;

    /** 增加 允许打印次数 */
    private Integer totalIncrement;

    /** 允许打印次数列表 */
    private List <Integer> totalList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PrintWaitQueueQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PrintWaitQueueQuery> andConditionList;

    public PrintWaitQueueQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 证照档案ID
    * @return recordIdStart
    */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
    * 设置 开始 证照档案ID
    * @param recordIdStart
    */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
    * 获取 结束 证照档案ID
    * @return $recordIdEnd
    */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
    * 设置 结束 证照档案ID
    * @param recordIdEnd
    */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
    * 获取 增加 证照档案ID
    * @return recordIdIncrement
    */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
    * 设置 增加 证照档案ID
    * @param recordIdIncrement
    */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
    * 获取 证照档案ID
    * @return recordIdList
    */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
    * 设置 证照档案ID
    * @param recordIdList
    */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
    * 获取 开始 申请ID
    * @return applyIdStart
    */
    public Long getApplyIdStart(){
        return this.applyIdStart;
    }

    /**
    * 设置 开始 申请ID
    * @param applyIdStart
    */
    public void setApplyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
    }

    /**
    * 获取 结束 申请ID
    * @return $applyIdEnd
    */
    public Long getApplyIdEnd(){
        return this.applyIdEnd;
    }

    /**
    * 设置 结束 申请ID
    * @param applyIdEnd
    */
    public void setApplyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
    }

    /**
    * 获取 增加 申请ID
    * @return applyIdIncrement
    */
    public Long getApplyIdIncrement(){
        return this.applyIdIncrement;
    }

    /**
    * 设置 增加 申请ID
    * @param applyIdIncrement
    */
    public void setApplyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
    }

    /**
    * 获取 申请ID
    * @return applyIdList
    */
    public List<Long> getApplyIdList(){
        return this.applyIdList;
    }

    /**
    * 设置 申请ID
    * @param applyIdList
    */
    public void setApplyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
    }

    /**
    * 获取 开始 证照目录ID
    * @return catalogIdStart
    */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
    * 设置 开始 证照目录ID
    * @param catalogIdStart
    */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
    * 获取 结束 证照目录ID
    * @return $catalogIdEnd
    */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
    * 设置 结束 证照目录ID
    * @param catalogIdEnd
    */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
    * 获取 增加 证照目录ID
    * @return catalogIdIncrement
    */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
    * 设置 增加 证照目录ID
    * @param catalogIdIncrement
    */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
    * 获取 证照目录ID
    * @return catalogIdList
    */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdList
    */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
    * 获取 证照目录编号
    * @return catalogCodeList
    */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeList
    */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }
    /**
    * 获取 目录名称
    * @return catalogNameList
    */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
    * 设置 目录名称
    * @param catalogNameList
    */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }
    /**
    * 获取 证照名称
    * @return certificateNameList
    */
    public List<String> getCertificateNameList(){
        return this.certificateNameList;
    }

    /**
    * 设置 证照名称
    * @param certificateNameList
    */
    public void setCertificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
    }
    /**
    * 获取 证照编号
    * @return certificateCodeList
    */
    public List<String> getCertificateCodeList(){
        return this.certificateCodeList;
    }

    /**
    * 设置 证照编号
    * @param certificateCodeList
    */
    public void setCertificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
    }
    /**
    * 获取 企业名称
    * @return enterpriseNameList
    */
    public List<String> getEnterpriseNameList(){
        return this.enterpriseNameList;
    }

    /**
    * 设置 企业名称
    * @param enterpriseNameList
    */
    public void setEnterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
    }
    /**
    * 获取 持有者姓名
    * @return holderNameList
    */
    public List<String> getHolderNameList(){
        return this.holderNameList;
    }

    /**
    * 设置 持有者姓名
    * @param holderNameList
    */
    public void setHolderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
    }
    /**
    * 获取 持有者证件号码
    * @return holderIDCardNoList
    */
    public List<String> getHolderIDCardNoList(){
        return this.holderIDCardNoList;
    }

    /**
    * 设置 持有者证件号码
    * @param holderIDCardNoList
    */
    public void setHolderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
    }
    /**
    * 获取 取件人姓名
    * @return pickerNameList
    */
    public List<String> getPickerNameList(){
        return this.pickerNameList;
    }

    /**
    * 设置 取件人姓名
    * @param pickerNameList
    */
    public void setPickerNameList(List<String> pickerNameList){
        this.pickerNameList = pickerNameList;
    }
    /**
    * 获取 取件人证件号码
    * @return pickerIDCardNoList
    */
    public List<String> getPickerIDCardNoList(){
        return this.pickerIDCardNoList;
    }

    /**
    * 设置 取件人证件号码
    * @param pickerIDCardNoList
    */
    public void setPickerIDCardNoList(List<String> pickerIDCardNoList){
        this.pickerIDCardNoList = pickerIDCardNoList;
    }
    /**
    * 获取 证件预览地址
    * @return previewUrlList
    */
    public List<String> getPreviewUrlList(){
        return this.previewUrlList;
    }

    /**
    * 设置 证件预览地址
    * @param previewUrlList
    */
    public void setPreviewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
    }
    /**
    * 获取 证件附件地址
    * @return certificateUrlList
    */
    public List<String> getCertificateUrlList(){
        return this.certificateUrlList;
    }

    /**
    * 设置 证件附件地址
    * @param certificateUrlList
    */
    public void setCertificateUrlList(List<String> certificateUrlList){
        this.certificateUrlList = certificateUrlList;
    }
    /**
    * 获取 开始 是否完成打印0否1是
    * @return printStatusStart
    */
    public Integer getPrintStatusStart(){
        return this.printStatusStart;
    }

    /**
    * 设置 开始 是否完成打印0否1是
    * @param printStatusStart
    */
    public void setPrintStatusStart(Integer printStatusStart){
        this.printStatusStart = printStatusStart;
    }

    /**
    * 获取 结束 是否完成打印0否1是
    * @return $printStatusEnd
    */
    public Integer getPrintStatusEnd(){
        return this.printStatusEnd;
    }

    /**
    * 设置 结束 是否完成打印0否1是
    * @param printStatusEnd
    */
    public void setPrintStatusEnd(Integer printStatusEnd){
        this.printStatusEnd = printStatusEnd;
    }

    /**
    * 获取 增加 是否完成打印0否1是
    * @return printStatusIncrement
    */
    public Integer getPrintStatusIncrement(){
        return this.printStatusIncrement;
    }

    /**
    * 设置 增加 是否完成打印0否1是
    * @param printStatusIncrement
    */
    public void setPrintStatusIncrement(Integer printStatusIncrement){
        this.printStatusIncrement = printStatusIncrement;
    }

    /**
    * 获取 是否完成打印0否1是
    * @return printStatusList
    */
    public List<Integer> getPrintStatusList(){
        return this.printStatusList;
    }

    /**
    * 设置 是否完成打印0否1是
    * @param printStatusList
    */
    public void setPrintStatusList(List<Integer> printStatusList){
        this.printStatusList = printStatusList;
    }

    /**
    * 获取 开始 允许打印次数
    * @return totalStart
    */
    public Integer getTotalStart(){
        return this.totalStart;
    }

    /**
    * 设置 开始 允许打印次数
    * @param totalStart
    */
    public void setTotalStart(Integer totalStart){
        this.totalStart = totalStart;
    }

    /**
    * 获取 结束 允许打印次数
    * @return $totalEnd
    */
    public Integer getTotalEnd(){
        return this.totalEnd;
    }

    /**
    * 设置 结束 允许打印次数
    * @param totalEnd
    */
    public void setTotalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
    }

    /**
    * 获取 增加 允许打印次数
    * @return totalIncrement
    */
    public Integer getTotalIncrement(){
        return this.totalIncrement;
    }

    /**
    * 设置 增加 允许打印次数
    * @param totalIncrement
    */
    public void setTotalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
    }

    /**
    * 获取 允许打印次数
    * @return totalList
    */
    public List<Integer> getTotalList(){
        return this.totalList;
    }

    /**
    * 设置 允许打印次数
    * @param totalList
    */
    public void setTotalList(List<Integer> totalList){
        this.totalList = totalList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PrintWaitQueueQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PrintWaitQueueQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PrintWaitQueueQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PrintWaitQueueQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PrintWaitQueueQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  证照档案ID
    * @param recordId
    */
    public PrintWaitQueueQuery recordId(Long recordId){
	    setRecordId(recordId);
		return this;
    }
	
	 /**
    * 设置 开始 证照档案ID
    * @param recordIdStart
    */
    public PrintWaitQueueQuery recordIdStart(Long recordIdStart){
		this.recordIdStart = recordIdStart;
		return this;
    }

    /**
    * 设置 结束 证照档案ID
    * @param recordIdEnd
    */
    public PrintWaitQueueQuery recordIdEnd(Long recordIdEnd){
		this.recordIdEnd = recordIdEnd;
		return this;
    }

    /**
    * 设置 增加 证照档案ID
    * @param recordIdIncrement
    */
    public PrintWaitQueueQuery recordIdIncrement(Long recordIdIncrement){
		this.recordIdIncrement = recordIdIncrement;
		return this;
    }

    /**
    * 设置 证照档案ID
    * @param recordIdList
    */
    public PrintWaitQueueQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
		return this;
        }

    /**
    * 设置  申请ID
    * @param applyId
    */
    public PrintWaitQueueQuery applyId(Long applyId){
	    setApplyId(applyId);
		return this;
    }
	
	 /**
    * 设置 开始 申请ID
    * @param applyIdStart
    */
    public PrintWaitQueueQuery applyIdStart(Long applyIdStart){
		this.applyIdStart = applyIdStart;
		return this;
    }

    /**
    * 设置 结束 申请ID
    * @param applyIdEnd
    */
    public PrintWaitQueueQuery applyIdEnd(Long applyIdEnd){
		this.applyIdEnd = applyIdEnd;
		return this;
    }

    /**
    * 设置 增加 申请ID
    * @param applyIdIncrement
    */
    public PrintWaitQueueQuery applyIdIncrement(Long applyIdIncrement){
		this.applyIdIncrement = applyIdIncrement;
		return this;
    }

    /**
    * 设置 申请ID
    * @param applyIdList
    */
    public PrintWaitQueueQuery applyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
		return this;
        }

    /**
    * 设置  证照目录ID
    * @param catalogId
    */
    public PrintWaitQueueQuery catalogId(Long catalogId){
	    setCatalogId(catalogId);
		return this;
    }
	
	 /**
    * 设置 开始 证照目录ID
    * @param catalogIdStart
    */
    public PrintWaitQueueQuery catalogIdStart(Long catalogIdStart){
		this.catalogIdStart = catalogIdStart;
		return this;
    }

    /**
    * 设置 结束 证照目录ID
    * @param catalogIdEnd
    */
    public PrintWaitQueueQuery catalogIdEnd(Long catalogIdEnd){
		this.catalogIdEnd = catalogIdEnd;
		return this;
    }

    /**
    * 设置 增加 证照目录ID
    * @param catalogIdIncrement
    */
    public PrintWaitQueueQuery catalogIdIncrement(Long catalogIdIncrement){
		this.catalogIdIncrement = catalogIdIncrement;
		return this;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdList
    */
    public PrintWaitQueueQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
		return this;
        }


	/**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public PrintWaitQueueQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
		return this;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeList
    */
    public PrintWaitQueueQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
		return this;
    }


	/**
    * 设置 目录名称
    * @param catalogName
    */
    public PrintWaitQueueQuery catalogName(String catalogName){
        setCatalogName(catalogName);
		return this;
    }

    /**
    * 设置 目录名称
    * @param catalogNameList
    */
    public PrintWaitQueueQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
		return this;
    }


	/**
    * 设置 证照名称
    * @param certificateName
    */
    public PrintWaitQueueQuery certificateName(String certificateName){
        setCertificateName(certificateName);
		return this;
    }

    /**
    * 设置 证照名称
    * @param certificateNameList
    */
    public PrintWaitQueueQuery certificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
		return this;
    }


	/**
    * 设置 证照编号
    * @param certificateCode
    */
    public PrintWaitQueueQuery certificateCode(String certificateCode){
        setCertificateCode(certificateCode);
		return this;
    }

    /**
    * 设置 证照编号
    * @param certificateCodeList
    */
    public PrintWaitQueueQuery certificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
		return this;
    }


	/**
    * 设置 企业名称
    * @param enterpriseName
    */
    public PrintWaitQueueQuery enterpriseName(String enterpriseName){
        setEnterpriseName(enterpriseName);
		return this;
    }

    /**
    * 设置 企业名称
    * @param enterpriseNameList
    */
    public PrintWaitQueueQuery enterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
		return this;
    }


	/**
    * 设置 持有者姓名
    * @param holderName
    */
    public PrintWaitQueueQuery holderName(String holderName){
        setHolderName(holderName);
		return this;
    }

    /**
    * 设置 持有者姓名
    * @param holderNameList
    */
    public PrintWaitQueueQuery holderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
		return this;
    }


	/**
    * 设置 持有者证件号码
    * @param holderIDCardNo
    */
    public PrintWaitQueueQuery holderIDCardNo(String holderIDCardNo){
        setHolderIDCardNo(holderIDCardNo);
		return this;
    }

    /**
    * 设置 持有者证件号码
    * @param holderIDCardNoList
    */
    public PrintWaitQueueQuery holderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
		return this;
    }


	/**
    * 设置 取件人姓名
    * @param pickerName
    */
    public PrintWaitQueueQuery pickerName(String pickerName){
        setPickerName(pickerName);
		return this;
    }

    /**
    * 设置 取件人姓名
    * @param pickerNameList
    */
    public PrintWaitQueueQuery pickerNameList(List<String> pickerNameList){
        this.pickerNameList = pickerNameList;
		return this;
    }


	/**
    * 设置 取件人证件号码
    * @param pickerIDCardNo
    */
    public PrintWaitQueueQuery pickerIDCardNo(String pickerIDCardNo){
        setPickerIDCardNo(pickerIDCardNo);
		return this;
    }

    /**
    * 设置 取件人证件号码
    * @param pickerIDCardNoList
    */
    public PrintWaitQueueQuery pickerIDCardNoList(List<String> pickerIDCardNoList){
        this.pickerIDCardNoList = pickerIDCardNoList;
		return this;
    }


	/**
    * 设置 证件预览地址
    * @param previewUrl
    */
    public PrintWaitQueueQuery previewUrl(String previewUrl){
        setPreviewUrl(previewUrl);
		return this;
    }

    /**
    * 设置 证件预览地址
    * @param previewUrlList
    */
    public PrintWaitQueueQuery previewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
		return this;
    }


	/**
    * 设置 证件附件地址
    * @param certificateUrl
    */
    public PrintWaitQueueQuery certificateUrl(String certificateUrl){
        setCertificateUrl(certificateUrl);
		return this;
    }

    /**
    * 设置 证件附件地址
    * @param certificateUrlList
    */
    public PrintWaitQueueQuery certificateUrlList(List<String> certificateUrlList){
        this.certificateUrlList = certificateUrlList;
		return this;
    }

    /**
    * 设置  是否完成打印0否1是
    * @param printStatus
    */
    public PrintWaitQueueQuery printStatus(Integer printStatus){
	    setPrintStatus(printStatus);
		return this;
    }
	
	 /**
    * 设置 开始 是否完成打印0否1是
    * @param printStatusStart
    */
    public PrintWaitQueueQuery printStatusStart(Integer printStatusStart){
		this.printStatusStart = printStatusStart;
		return this;
    }

    /**
    * 设置 结束 是否完成打印0否1是
    * @param printStatusEnd
    */
    public PrintWaitQueueQuery printStatusEnd(Integer printStatusEnd){
		this.printStatusEnd = printStatusEnd;
		return this;
    }

    /**
    * 设置 增加 是否完成打印0否1是
    * @param printStatusIncrement
    */
    public PrintWaitQueueQuery printStatusIncrement(Integer printStatusIncrement){
		this.printStatusIncrement = printStatusIncrement;
		return this;
    }

    /**
    * 设置 是否完成打印0否1是
    * @param printStatusList
    */
    public PrintWaitQueueQuery printStatusList(List<Integer> printStatusList){
        this.printStatusList = printStatusList;
		return this;
        }

    /**
    * 设置  允许打印次数
    * @param total
    */
    public PrintWaitQueueQuery total(Integer total){
	    setTotal(total);
		return this;
    }
	
	 /**
    * 设置 开始 允许打印次数
    * @param totalStart
    */
    public PrintWaitQueueQuery totalStart(Integer totalStart){
		this.totalStart = totalStart;
		return this;
    }

    /**
    * 设置 结束 允许打印次数
    * @param totalEnd
    */
    public PrintWaitQueueQuery totalEnd(Integer totalEnd){
		this.totalEnd = totalEnd;
		return this;
    }

    /**
    * 设置 增加 允许打印次数
    * @param totalIncrement
    */
    public PrintWaitQueueQuery totalIncrement(Integer totalIncrement){
		this.totalIncrement = totalIncrement;
		return this;
    }

    /**
    * 设置 允许打印次数
    * @param totalList
    */
    public PrintWaitQueueQuery totalList(List<Integer> totalList){
        this.totalList = totalList;
		return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PrintWaitQueueQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PrintWaitQueueQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PrintWaitQueueQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PrintWaitQueueQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PrintWaitQueueQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PrintWaitQueueQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PrintWaitQueueQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PrintWaitQueueQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PrintWaitQueueQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PrintWaitQueueQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PrintWaitQueueQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PrintWaitQueueQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PrintWaitQueueQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PrintWaitQueueQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}